Skip to content
Go to Micro

Bulk reorder pinned records

PATCH/v2/prism/{teamId}/{viewObjectType}/views/{viewId}/records

Bulk reorder pinned records

Path ParametersExpand Collapse
teamId: optional string
formatuuid
viewObjectType: "action" or "deal" or "document" or 3 more
One of the following:
"action"
"deal"
"document"
"event"
"identity"
"organization"
viewId: string
formatuuid
Header ParametersExpand Collapse
"Idempotency-Key": optional string
minLength1
maxLength255
Body ParametersJSONExpand Collapse
object_ids: array of string

Bulk reorder pinned records

curl https://developers.micro.so/v2/prism/$TEAM_ID/$VIEW_OBJECT_TYPE/views/$VIEW_ID/records \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "x-api-key: $MICRO_API_KEY" \
    -d '{
          "object_ids": [
            "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
          ]
        }'
Returns Examples